import { CustomError } from 'ts-custom-error';
export declare class IntegrationError extends CustomError {
    code: string | undefined;
    status: number | undefined;
    retry?: boolean;
    constructor(message: string, code: string, status: number);
}
declare type RetryableStatusCodes = 408 | 423 | 429 | 500 | 502 | 503 | 504 | 505 | 506 | 507 | 508 | 509 | 510 | 511 | 598 | 599;
export declare class RetryableError extends CustomError {
    status: RetryableStatusCodes;
    code: ErrorCodes;
    constructor(message?: string, status?: RetryableStatusCodes);
}
export declare class InvalidAuthenticationError extends CustomError {
    status: number;
    code: string;
    constructor(message?: string, code?: ErrorCodes);
}
export declare class PayloadValidationError extends IntegrationError {
    constructor(message: string);
}
export declare class APIError extends IntegrationError {
    constructor(message: string, status: number);
}
export declare class SelfTimeoutError extends IntegrationError {
    constructor(message: string);
}
export declare enum ErrorCodes {
    INVALID_AUTHENTICATION = "INVALID_AUTHENTICATION",
    PAYLOAD_VALIDATION_FAILED = "PAYLOAD_VALIDATION_FAILED",
    INVALID_CURRENCY_CODE = "INVALID_CURRENCY_CODE",
    RETRYABLE_ERROR = "RETRYABLE_ERROR",
    REFRESH_TOKEN_EXPIRED = "REFRESH_TOKEN_EXPIRED",
    OAUTH_REFRESH_FAILED = "OAUTH_REFRESH_FAILED",
    SELF_TIMEOUT = "SELF_TIMEOUT"
}
export declare enum MultiStatusErrorReporter {
    INTEGRATIONS = "INTEGRATIONS",
    DESTINATION = "DESTINATION"
}
export {};
