import * as crypto from 'crypto';
const sha256HashedRegex = /^[a-f0-9]{64}$/i;
export function sha256SmartHash(value) {
    if (sha256HashedRegex.test(value)) {
        return value;
    }
    return crypto.createHash('sha256').update(value).digest('hex');
}
export class SmartHashing {
    constructor(encryptionMethod) {
        this.encryptionMethod = encryptionMethod;
        this.preHashed = false;
    }
    isAlreadyHashed(value) {
        this.preHashed = sha256HashedRegex.test(value);
        return this.preHashed;
    }
    hash(value) {
        if (this.preHashed) {
            return value;
        }
        return crypto.createHash('sha256').update(value).digest('hex');
    }
}
//# sourceMappingURL=hashing-utils.js.map